/* pthread_attributes */

#include "pthread.h"
#include "pthread_private.h"

int pthread_condattr_init (pthread_condattr_t * attr) {
	pthread_condattr_t pattr;
	
	if ((pattr = (pthread_condattr_t)malloc(sizeof(pthread_condattr_t))) == NULL)
		return ENOMEM;
	memcpy(pattr, &pthread_condattr_default, sizeof(pattr));
	*attr = pattr;
	return 0;
}

int	pthread_condattr_destroy (pthread_condattr_t *attr) {

	if (attr == NULL || *attr == NULL)
		return EINVAL;
	
	free(*attr);
	*attr = NULL;
	return 0;
}
	